Skip to main content
GET
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
push-notification
/
providers
/
apns
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Guardian.Factors.PushNotification.GetApnsProviderAsync();
    }

}
package example

import (
    context "context"

    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Guardian.Factors.PushNotification.GetApnsProvider(
        context.TODO(),
    )
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;

public class Example {
    public static void main(String[] args) {
        ManagementApi client = ManagementApi
            .builder()
            .token("<token>")
            .build();

        client.guardian().factors().pushNotification().getApnsProvider();
    }
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
    token: '<token>',
);
$client->guardian->factors->pushNotification->getApnsProvider();
from auth0.management import ManagementClient

client = ManagementClient(
    token="<token>",
)

client.guardian.factors.push_notification.get_apns_provider()
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.guardian.factors.push_notification.get_apns_provider
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.guardian.factors.pushNotification.getApnsProvider();
}
main();
import { ManagementClient } from "auth0";

async function main() {
    const client = new ManagementClient({
        token: "<token>",
    });
    await client.guardian.factors.pushNotification.getApnsProvider();
}
main();
curl --request GET \
  --url https://{tenantDomain}/api/v2/guardian/factors/push-notification/providers/apns \
  --header 'Authorization: Bearer <token>'
{
  "bundle_id": "<string>",
  "sandbox": true,
  "enabled": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

APNS configuration successfully retrieved.

bundle_id
string | null
Required string length: 1 - 20
sandbox
boolean
enabled
boolean